org.eclipse.viatra.query.patternlanguage.emf.ui

## Class EMFPatternLanguageExecutableExtensionFactory

- java.lang.Object
- - org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory
  - - org.eclipse.viatra.query.patternlanguage.emf.ui.EMFPatternLanguageExecutableExtensionFactory

- All Implemented Interfaces:
    org.eclipse.core.runtime.IExecutableExtension, org.eclipse.core.runtime.IExecutableExtensionFactory
  Direct Known Subclasses:
    QueryLanguageExecutableExtensionFactory

      public class EMFPatternLanguageExecutableExtensionFactory
      extends org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory

  This class was generated. Customizations should only happen in a newly introduced subclass.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory

      `clazzName, config, GUICEKEY, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageExecutableExtensionFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.osgi.framework.Bundle` | `getBundle()`
    `protected com.google.inject.Injector` | `getInjector()`

    - ### Methods inherited from class org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory

      `create, setInitializationData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageExecutableExtensionFactory

          public EMFPatternLanguageExecutableExtensionFactory()

  - ### Method Detail

    - #### getBundle

          protected org.osgi.framework.Bundle getBundle()

      Specified by:
        `getBundle` in class `org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory`

    - #### getInjector

          protected com.google.inject.Injector getInjector()

      Specified by:
        `getInjector` in class `org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory`